from renpy import _

"""renpy
init python:
"""

SYNONYMS = {
    'happy': set([
        _("amused"),
        _("animated"),
        _("beaming"),
        _("beatific"),
        _("blessed"),
        _("blissful"),
        _("blithe"),
        _("blithesome"),
        _("boisterous"),
        _("bouncy"),
        _("breezy"),
        _("bright"),
        _("bubbly"),
        _("buoyant"),
        _("carefree"),
        _("cheerful"),
        _("cheery"),
        _("chipper"),
        _("chirpy"),
        _("chuffed"),
        _("comfortable"),
        _("content"),
        _("contented"),
        _("convivial"),
        _("delighted"),
        _("delirious"),
        _("ebullient"),
        _("ecstatic"),
        _("effervescent"),
        _("elated"),
        _("enchanted"),
        _("enraptured"),
        _("enthusiastic"),
        _("euphoric"),
        _("exhilarated"),
        _("exultant"),
        _("exuberant"),
        _("felicitous"),
        _("festive"),
        _("fortunate"),
        _("fulfilled"),
        _("genial"),
        _("glad"),
        _("gladdened"),
        _("gleeful"),
        _("glowing"),
        _("good-humored"),
        _("good-natured"),
        _("gratified"),
        _("halcyon"),
        _("happy"),
        _("heartened"),
        _("high-spirited"),
        _("hopeful"),
        _("jaunty"),
        _("jocose"),
        _("jocular"),
        _("jocund"),
        _("jolly"),
        _("jovial"),
        _("joyful"),
        _("joyous"),
        _("jubilant"),
        _("lighthearted"),
        _("lively"),
        _("lucky"),
        _("merry"),
        _("mirthful"),
        _("optimistic"),
        _("overjoyed"),
        _("peaceful"),
        _("peppy"),
        _("perky"),
        _("playful"),
        _("pleasant"),
        _("pleased"),
        _("positive"),
        _("pumped"),
        _("radiant"),
        _("rapt"),
        _("rapturous"),
        _("rejoicing"),
        _("relaxed"),
        _("sanguine"),
        _("satisfied"),
        _("serene"),
        _("smiling"),
        _("sparkling"),
        _("spirited"),
        _("sprightly"),
        _("stoked"),
        _("sunny"),
        _("thrilled"),
        _("tickled"),
        _("tranquil"),
        _("triumphant"),
        _("unclouded"),
        _("untroubled"),
        _("upbeat"),
        _("vivacious"),
        _("winsome"),
        _("zestful"),
        _("zippy")]),
    "sad": set([
        _("unhappy"),
        _("sorrowful"),
        _("dejected"),
        _("depressed"),
        _("downcast"),
        _("miserable"),
        _("gloomy"),
        _("despondent"),
        _("melancholy"),
        _("woeful"),
        _("forlorn"),
        _("heartbroken"),
        _("blue"),
        _("doleful"),
        _("lugubrious"),
        _("somber"),
        _("disconsolate"),
        _("wretched"),
        _("heavy-hearted"),
        _("low"),
        _("crestfallen")]),
    "surprised": set([
        _("astonished"),
        _("amazed"),
        _("startled"),
        _("stunned"),
        _("thunderstruck"),
        _("confounded"),
        _("staggered"),
        _("flabbergasted"),
        _("shocked"),
        _("awestruck"),
        _("speechless"),
        _("dumbfounded"),
        _("jolted")]),
    "embarrassed": set([
        _("ashamed"),
        _("humiliated"),
        _("mortified"),
        _("abashed"),
        _("self-conscious"),
        _("sheepish"),
        _("chagrined"),
        _("awkward"),
        _("flustered"),
        _("red-faced"),
        _("discomfited"),
        _("discomposed"),
        _("rattled")]),
    "flirty": set([
        _("coquettish"),
        _("playful"),
        _("amorous"),
        _("provocative"),
        _("teasing"),
        _("frisky"),
        _("saucy"),
        _("coy"),
        _("seductive"),
        _("suggestive"),
        _("vampish"),
        _("dallying"),
        _("skittish")]),
    "angry": set([
        _("irate"),
        _("furious"),
        _("incensed"),
        _("enraged"),
        _("wrathful"),
        _("annoyed"),
        _("irritated"),
        _("fuming"),
        _("livid"),
        _("indignant"),
        _("cross"),
        _("vexed"),
        _("seething"),
        _("maddened"),
        _("choleric"),
        _("resentful"),
        _("piqued"),
        _("infuriated")]),
    "thinking": set([
        _("pondering"),
        _("contemplating"),
        _("reflecting"),
        _("meditating"),
        _("ruminating"),
        _("deliberating"),
        _("mulling"),
        _("considering"),
        _("pensive"),
        _("cogitating"),
        _("brooding"),
        _("cerebral"),
        _("introspective"),
        _("analytical")]),
    "confused": set([
        _("puzzled"),
        _("baffled"),
        _("perplexed"),
        _("muddled"),
        _("bewildered"),
        _("disoriented"),
        _("nonplussed"),
        _("befuddled"),
        _("dazed"),
        _("flummoxed"),
        _("stumped"),
        _("mystified"),
        _("addled"),
        _("discombobulated")]),
}
